List Images

List images with optional filters

List images available in the DK Images collection by using the following URL:

https://api.pearson.com/dk/v1/images

This will return a json representation of the images resource. It is possible to filter and page through the results using the following parameters:

caption

Filter the images collection by caption, use '*' as a prefix or postfix to wildcard

keywords

Filter the images collection by keywords, use '*' as a prefix or postfix to wildcard

limit

Used for pagination, sets the maximum number of entries for the collection (up to a maximum of 100)

offset

Used for pagination, sets the start index of the collection

 

Example: List images with 'cat' in the caption

curl 'https://api.pearson.com/dk/v1/images?caption=cat&apikey=yourapikey'
 {
  offset: 0,
  limit: 5,
  count: 5,
  total: 27,
  dataset: "dkimages",
  url: "http://api.pearson.com/dk/v1/images?apikey=yourApiKey&caption=cat&limit=5",
  images: [
    {
      id: "FmGYw0V0AdM7gk",
      filename: "10004661.jpg",
      url: "http://api.pearson.com/dk/v1/images/FmGYw0V0AdM7gk?apikey=yourApiKey",
      caption: "Defensive female cat, arching her back with fur standing on end, dilated pupils, flattened ears, bristling whiskers,she is prepared for an attack.",
      keywords: "feline, felis catus, domestic, house, pet, behavior, bristles, bristling, arches, look appear larger, pose, defense mechanism"
    },
    {
      id: "VqZRvycWS5Yh2H",
      filename: "10005378.jpg",
      url: "http://api.pearson.com/dk/v1/images/VqZRvycWS5Yh2H?apikey=yourApiKey",
      caption: "Cream Silver Tabby Maine Coon cat with tabby markings on leg and white markings on chin, sitting.",
      keywords: "long haired, domestic, American, furry, fluffy, cute, feline, pet, breed, fur"
    },
    {
      id: "ad9dmfp7Ym2d8D",
      filename: "10005866.jpg",
      url: "http://api.pearson.com/dk/v1/images/ad9dmfp7Ym2d8D?apikey=yourApiKey",
      caption: "Blue non-pedigree cat with narrow head and largish upright ears, standing with front left paw curling under.",
      keywords: "non pedigree, feline, domesticated animal, pet, bad luck, furry, fur, superstition"
    },
    {
      id: "bDXQqfBve7SRJ5",
      filename: "10005873.jpg",
      url: "http://api.pearson.com/dk/v1/images/bDXQqfBve7SRJ5?apikey=yourApiKey",
      caption: "Brown Tabby non-pedigree cat  with upright, rounded ears and ruff around neck, lying down.",
      keywords: "non pedigree, long hair, fur, furry, fluffy, domesticated animal, pet"
    },
    {
      id: "deMYm6yyR205t5",
      filename: "10006153.jpg",
      url: "http://api.pearson.com/dk/v1/images/deMYm6yyR205t5?apikey=yourApiKey",
      caption: "White Manx cat standing, side view.",
      keywords: "rumpy, breed, unique, feline, domestic, domesticated, pet, no tail, shorthaired, short hair"
    }
  ]
 }